Skip to main content
Resource Center/CloudFormation Operations

DecodeStackTemplate

DecodeStackTemplate

POST/zstack/v1/cloudformation/stack/preview/resource

Operation ID

DecodeStackTemplate

Since

3.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • type
      String

      Optional. The template type.

    • templateContent
      String

      Optional. The template content.

    • uuid
      String

      Optional. The template UUID.

    • parameters
      String

      Optional. The request parameters in JSON format.

    • preparameters
      String

      Optional. The pre-rendered request parameters in JSON format.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • resources
    ListRequired

    For more information, see resources.

    • resourceName
      StringRequired

      The resource name in the stack template.

    • resourceType
      StringRequired

      The resource type.

    • deletePolicy
      StringRequired

      The deletion policy.

    • description
      StringRequired

      The resource description in the stack template.

    • inDegree
      SetRequired

      The dependent resources.

    • action
      StringRequired

      The action.

    • properties
      MapRequired

      The properties.

    • results
      ObjectRequired

      The operation results. An empty string is returned if no operation is performed.

    • created
      booleanRequired

      Indicates whether the resources are created.

    • mockFailed
      booleanRequired

      Indicates whether mock failed.

    • type
      ResourceTypeRequired

      For more information, see type.

      • name
        StringRequired

        The resource type.

      • ordinal
        intRequired

        The ordinal number.